package gobase64

import (
	"testing"
)

func TestEncode(t *testing.T) {
	t.Log(Encode("广东茂名"))
}

func BenchmarkEncode(b *testing.B) {
	for i := 0; i < b.N; i++ {
		b.Log(Encode("广东茂名"))
	}
}

func TestDecode(t *testing.T) {
	t.Log(Decode("5bm/5Lic6IyC5ZCN"))
}

func BenchmarkDecode(b *testing.B) {
	for i := 0; i < b.N; i++ {
		b.Log(Decode("5bm/5Lic6IyC5ZCN"))
	}
}

func TestEncodeUrl(t *testing.T) {
	t.Log(EncodeUrl("广东茂名"))
}

func BenchmarkEncodeUrl(b *testing.B) {
	for i := 0; i < b.N; i++ {
		b.Log(EncodeUrl("广东茂名"))
	}
}

func TestDecodeUrl(t *testing.T) {
	t.Log(DecodeUrl("5bm_5Lic6IyC5ZCN"))
}

func BenchmarkDecodeUrl(b *testing.B) {
	for i := 0; i < b.N; i++ {
		b.Log(DecodeUrl("5bm_5Lic6IyC5ZCN"))
	}
}
